RLE-PIX
1
BRL-CAD
BRL-CAD

# rle-pix

convert Utah Raster Toolkit run-length encoded image to RGB pixel format

      rle-pix
        -cdhH
        -C r/g/b
        -s squareoutsize
        -w out_width
        -n out_height
        -S squareoutsize
        -W out_width
        -N out_height
        file.rlefile.pix

## DESCRIPTION

rle-fb decodes a Utah Raster Toolkit Run-Length Encoded (RLE) format file (saved with fb-rle 1, pix-rle 1, or a similar program), converts it into pix 5 format, and writes it to standard out. If file.rle is not specified, standard input is read. rle-pix determines the type and size of the saved file (color or B&W) and acts accordingly.

`-c`

  is the colormap crunch flag. If the crunch flag has been specified and a non-linear colormap is stored in the RLE file, then the colormap is applied to the pixels as they are output. Otherwise, the encoded pixel values are output without being affected by any color map stored in the RLE file.

`-d`

  Debug option, provides a description of the parameters of the saved RLE image on standard error.

`-C` r/g/b

  The background of the image is normally set to the value recorded in the RLE file. This option permits the user to specify an alternate background color as slash separated decimal numbers in the range of 0 to 255, one each for the red, green, and blue channels.

file.rle

  Name of file to decode, in RLE format.

file.pix

  Optional name of file to store PIX image in.

## EXAMPLE

     rle-pix  tank.rle   tank.pix

## SEE ALSO

brlcad 1, fb-rle 1, fb-rle 1, pix-fb 1, rle-pix 1, pix 5.

## AUTHOR

Michael John Muuss

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.